<?php
function my_styles() {
  wp_register_style( 'font-awesome-stylesheet', get_stylesheet_directory_uri() . '/assets/css/font-awesome.css' ); 
  wp_enqueue_style( 'font-awesome-stylesheet' );  
  
  wp_register_style( 'font-awesome-ie7-stylesheet', get_stylesheet_directory_uri() . '/assets/css/font-awesome-ie7.css' ); 

  wp_enqueue_style( 'font-awesome-ie7-stylesheet' );  
 
  wp_enqueue_script( 'bootstrap-script', get_stylesheet_directory_uri() . '/assets/js/bootstrap.js', array('jquery') );
  wp_enqueue_style( 'portflio-stylesheet', get_stylesheet_directory_uri() . '/css/style.css' );
}
add_action('wp_enqueue_scripts', 'my_styles');

class bootstrapwp_walker_nav_menu extends Walker_Nav_Menu {


  function start_lvl( &$output, $depth ) {

    //In a child UL, add the 'dropdown-menu' class
    $indent = str_repeat( "\t", $depth );
    $output    .= "\n$indent<ul class=\"dropdown-menu\">\n";

  }

  function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {

    $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

    $li_attributes = '';
    $class_names = $value = '';

    $classes = empty( $item->classes ) ? array() : (array) $item->classes;

    //Add class and attribute to LI element that contains a submenu UL.
    if ($args->has_children){
      $classes[]    = 'dropdown';
      $li_attributes .= 'data-dropdown="dropdown"';
    }
    $classes[] = 'menu-item-' . $item->ID;
    //If we are on the current page, add the active class to that menu item.
    $classes[] = ($item->current) ? 'active' : '';

    //Make sure you still add all of the WordPress classes.
    $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );
    $class_names = ' class="' . esc_attr( $class_names ) . '"';

    $id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
    $id = strlen( $id ) ? ' id="' . esc_attr( $id ) . '"' : '';

    $output .= $indent . '<li' . $id . $value . $class_names . $li_attributes . '>';

    //Add attributes to link element.
    $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
    $attributes .= ! empty( $item->target ) ? ' target="' . esc_attr( $item->target     ) .'"' : '';
    $attributes .= ! empty( $item->xfn ) ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
    $attributes .= ! empty( $item->url ) ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
    $attributes .= ($args->has_children) ? ' class="dropdown-toggle" data-toggle="dropdown"' : ''; 

    $item_output = $args->before;
    $item_output .= '<a'. $attributes .'>';
    $item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
    $item_output .= ($args->has_children) ? ' <b class="caret"></b> ' : ''; 
    $item_output .= '</a>';
    $item_output .= $args->after;

    $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
  }

  //Overwrite display_element function to add has_children attribute. Not needed in >= Wordpress 3.4
  function display_element( $element, &$children_elements, $max_depth, $depth=0, $args, &$output ) {

    if ( !$element )
      return;

    $id_field = $this->db_fields['id'];

    //display this element
    if ( is_array( $args[0] ) ) 
      $args[0]['has_children'] = ! empty( $children_elements[$element->$id_field] );
    else if ( is_object( $args[0] ) ) 
      $args[0]->has_children = ! empty( $children_elements[$element->$id_field] ); 
    $cb_args = array_merge( array(&$output, $element, $depth), $args);
    call_user_func_array(array(&$this, 'start_el'), $cb_args);

    $id = $element->$id_field;

    // descend only when the depth is right and there are childrens for this element
    if ( ($max_depth == 0 || $max_depth > $depth+1 ) && isset( $children_elements[$id]) ) {

      foreach( $children_elements[ $id ] as $child ){

        if ( !isset($newlevel) ) {
          $newlevel = true;
          //start the child delimiter
          $cb_args = array_merge( array(&$output, $depth), $args);
          call_user_func_array(array(&$this, 'start_lvl'), $cb_args);
        }
        $this->display_element( $child, $children_elements, $max_depth, $depth + 1, $args, $output );
      }
        unset( $children_elements[ $id ] );
    }

    if ( isset($newlevel) && $newlevel ){
      //end the child delimiter
      $cb_args = array_merge( array(&$output, $depth), $args);
      call_user_func_array(array(&$this, 'end_lvl'), $cb_args);
    }

    //end this element
    $cb_args = array_merge( array(&$output, $element, $depth), $args);
    call_user_func_array(array(&$this, 'end_el'), $cb_args);

  }

}

// Add support for custom headers.
  $custom_header_support = array(
    // The default header text color.
    'default-text-color' => '000',
    // The height and width of our custom header.
    'width' => apply_filters( 'twentyeleven_header_image_width', 1170 ),
    'height' => apply_filters( 'twentyeleven_header_image_height', 188 ),
    // Support flexible heights.
    'flex-height' => true,
    // Random image rotation by default.
    'random-default' => true,
    // Callback for styling the header.
    'wp-head-callback' => 'twentyeleven_header_style',
    // Callback for styling the header preview in the admin.
    'admin-head-callback' => 'twentyeleven_admin_header_style',
    // Callback used to display the header preview in the admin.
    'admin-preview-callback' => 'twentyeleven_admin_header_image',
  );
  
  add_theme_support( 'custom-header', $custom_header_support );

if (function_exists('register_sidebar')) {  
  
register_sidebar(array(
      'name' => '컨텐트 위젯',
      'id'   => 'content-widgets',
      'description'   => '컨텐트 영역 위젯.',
      'before_widget' => '<section id="%1$s" class="content-widgets %2$s">',
      'after_widget'  => '</section>',
      'before_title'  => '<h3>',
      'after_title'   => '</h3>'
    ));
    register_sidebar(array(  
        'name' => '좌측 위젯',  
        'id'   => 'left_column',  
        'description'   => '컨텐트 영역 좌측 위젯',  
        'before_widget' => '<section id="%1$s" class="widget %2$s">',  
        'after_widget'  => '</section>',  
        'before_title'  => '<h3>',  
        'after_title'   => '</h3>'  
    ));  
    register_sidebar(array(  
        'name' => '중앙 위젯',  
        'id'   => 'center_column',  
        'description'   => '컨텐트 영역 중앙 위젯',  
        'before_widget' => '<section id="%1$s" class="widget %2$s">',  
        'after_widget'  => '</section>',  
        'before_title'  => '<h3>',  
        'after_title'   => '</h3>'  
    ));   
    register_sidebar(array(  
        'name' => '하단 위젯',  
        'id'   => 'bottom_column',  
        'description'   => '컨텐트 영역 하단 위젯',  
        'before_widget' => '<section id="%1$s" class="widget %2$s">',  
        'after_widget'  => '</section>',  
        'before_title'  => '<h3>',  
        'after_title'   => '</h3>'  
    ));  
  register_sidebar( array(
    'name' => '사이드바 2 위젯',
    'id' => 'sidebar-6',
    'description'   => '초기화면 사이드바 위젯 영역',  
    'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    'after_widget' => '</aside>',
    'before_title' => '<h3 class="widget-title">',
    'after_title' => '</h3>',
  ) );
  register_sidebar( array(
    'name' => '포럼 사이드바 위젯',
    'id' => 'sidebar-7',
    'description'   => '포럼 사이드바 위젯 영역',  
    'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    'after_widget' => '</aside>',
    'before_title' => '<h3 class="widget-title">',
    'after_title' => '</h3>',
  ) );
  register_sidebar( array(
    'name' => '초기화면 사이드바 추가 위젯',
    'id' => 'sidebar-8',
    'description'   => '초기화면 사이드바 추가 위젯',  
    'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    'after_widget' => '</aside>',
    'before_title' => '<h3 class="widget-title">',
    'after_title' => '</h3>',
  ) );  
 register_nav_menu( 'footer', __( 'Footer Menu', 'twentyeleven' ) );
}

function admin_css() {
  wp_enqueue_style( 'admin_css', get_stylesheet_directory_uri() . '/css/admin.css' );
}

add_action('admin_print_styles', 'admin_css');

?>
